package com.chenyang.druid.sql.dialect.mysql.ast.statement;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.statement.SQLExprTableSource;
import com.chenyang.druid.sql.ast.statement.SQLShowCreateTableStatement;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class MySqLShowCreateTableStatement extends SQLShowCreateTableStatement implements MySqlStatement {
   private SQLExprTableSource table;
   private SQLExpr str;

   public MySqLShowCreateTableStatement() {
      this.dbType = DbType.mysql;
   }

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.table);
      }

      visitor.endVisit(this);
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((MySqlASTVisitor)visitor);
   }

   public SQLExprTableSource getTable() {
      return this.table;
   }

   public void setTable(SQLExprTableSource table) {
      this.table = table;
   }

   public SQLExpr getStr() {
      return this.str;
   }

   public void setStr(SQLExpr str) {
      this.str = str;
   }
}
